Index Page prsdp_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void prsdp_c ( ConstSpiceChar     * string,
                      SpiceDouble        * dpval  )

#### Abstract

       Parse a string as a double precision number, encapsulating error
       handling.

#### Required_Reading

       None.

#### Keywords

       NUMBER
       PARSING

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       string     I   String representing a d.p. number.
       dpval      O   D.p. value obtained by parsing string.

#### Detailed_Input

       string         is a string representing a double precision
                      number.  Any string acceptable to the CSPICE
                      routine nparsd.c is allowed.

#### Detailed_Output

       dpval          is the double precision number obtained by parsing
                      string.

#### Parameters

       None.

#### Exceptions

       1) If the input string pointer is null, the error
          SPICE(NULLPOINTER) will be signaled.

       2) If the input string does not contain at least one character,
          the error SPICE(EMPTYSTRING) will be signaled.

       3) If the input string cannot be parsed, the error
          SPICE(NOTADPNUMBER) is signalled.

#### Files

       None.

#### Particulars

       The purpose of this routine is to enable safe parsing of double
       precision numbers without the necessity of in-line error checking.
       This routine is based on the CSPICE routine nparsd.c.

#### Examples

       See the routine NPARSD for an examples of allowed strings.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman       (JPL)

#### Version

       -CSPICE Version 1.1.2, 26-AUG-1999 (NJB)

          Header was updated to list string exceptions.

       -CSPICE Version 1.1.1, 25-MAR-1998 (EDW)

          Minor corrections to header.

       -CSPICE Version 1.1.0, 08-FEB-1998 (NJB)

          References to C2F_CreateStr_Sig were removed; code was
          cleaned up accordingly.  String checks are now done using
          the macro CHKFSTR.

       -CSPICE Version 1.0.0, 25-OCT-1997

          Based on SPICELIB Version 1.0.0, 22-JUL-1997 (NJB)

#### Index_Entries

       parse d.p. number with encapsulated error handling

#### Link to routine prsdp_c source file prsdp_c.c

    Wed Apr  5 17:54:41 2017